Attribute VB_Name = "HtmlHelp"
Option Explicit

Public Const HH_DISPLAY_TOPIC As Long = &H0&
Public Const HH_HELP_FINDER As Long = &H0&    'WinHelp equivalent
Public Const HH_DISPLAY_TOC As Long = &H1&
Public Const HH_DISPLAY_INDEX As Long = &H2&
Public Const HH_DISPLAY_SEARCH As Long = &H3&
Public Const HH_SET_WIN_TYPE As Long = &H4&
Public Const HH_GET_WIN_TYPE As Long = &H5&
Public Const HH_GET_WIN_HANDLE As Long = &H6&
Public Const HH_ENUM_INFO_TYPE As Long = &H7&    'Get Info type name, call repeatedly to enumerate, -1 at end
Public Const HH_SET_INFO_TYPE As Long = &H8&    'Add Info type to filter.
Public Const HH_SYNC As Long = &H9&
Public Const HH_RESERVED1 As Long = &HA&
Public Const HH_RESERVED2 As Long = &HB&
Public Const HH_RESERVED3 As Long = &HC&
Public Const HH_KEYWORD_LOOKUP As Long = &HD&
Public Const HH_DISPLAY_TEXT_POPUP As Long = &HE&    'display string resource id or text in a popup window
Public Const HH_HELP_CONTEXT As Long = &HF&    'display mapped numeric value in dwData
Public Const HH_TP_HELP_CONTEXTMENU As Long = &H10&   'text popup help, same as WinHelp HELP_CONTEXTMENU
Public Const HH_TP_HELP_WM_HELP As Long = &H11&   'text popup help, same as WinHelp HELP_WM_HELP
Public Const HH_CLOSE_ALL As Long = &H12&   'close all windows opened directly or indirectly by the caller
Public Const HH_ALINK_LOOKUP As Long = &H13&   'ALink version of HH_KEYWORD_LOOKUP
Public Const HH_GET_LAST_ERROR As Long = &H14&   'not currently implemented // See HHERROR.h
Public Const HH_ENUM_CATEGORY As Long = &H15&   'Get category name, call repeatedly to enumerate, -1 at end
Public Const HH_ENUM_CATEGORY_IT As Long = &H16&   'Get category info type members, call repeatedly to enumerate, -1 at end
Public Const HH_RESET_IT_FILTER As Long = &H17&   'Clear the info type filter of all info types.
Public Const HH_SET_INCLUSIVE_FILTER As Long = &H18&   'set inclusive filtering method for untyped topics to be included in display
Public Const HH_SET_EXCLUSIVE_FILTER As Long = &H19&   'set exclusive filtering method for untyped topics to be excluded from display
Public Const HH_INITIALIZE As Long = &H1C&   'Initializes the help system.  VB6 RUNTIME DOES THIS
Public Const HH_UNINITIALIZE As Long = &H1D&   'Uninitializes the help system.  VB6 RUNTIME DOES THIS
Public Const HH_SET_QUERYSERVICE As Long = &H1E&   'Set the Host IQueryService interface
Public Const HH_PRETRANSLATEMESSAGE As Long = &HFD&   'Pumps messages. (NULL, NULL, MSG*).
Public Const HH_SET_GLOBAL_PROPERTY As Long = &HFC&   'Set a global property. (NULL, NULL, HH_GPROP)
Public Const HH_SAFE_DISPLAY_TOPIC As Long = &H20&   'private addition to the interface for InternetExplorer.

Public Declare Function HtmlHelp Lib "hhctrl.ocx" Alias "HtmlHelpW" ( _
    ByVal hWndCaller As Long, _
    ByVal pszFile As Long, _
    ByVal uCommand As Long, _
    ByVal dwData As Long) As Long

